WP3Part Class Referenceabstract

`#include <WP3Part.h>`

Inheritance diagram for WP3Part:

## Public Member Functions

virtual | ~WP3Part ()
virtual void | parse (WP3Listener *listener)=0

## Static Public Member Functions

static WP3Part * | constructPart (librevenge::RVNGInputStream *input, WPXEncryption *encryption, const unsigned char readVal)

## Constructor & Destructor Documentation

## ~WP3Part()

virtual WP3Part::~WP3Part | ( |  | ) |

inline virtual

## Member Function Documentation

## constructPart()

WP3Part * WP3Part::constructPart | ( | librevenge::RVNGInputStream * | input,
|  | WPXEncryption * | encryption,
|  | const unsigned char | readVal )

static

Referenced by WP3Parser::parseDocument().

## parse()

virtual void WP3Part::parse | ( | WP3Listener * | listener | ) |

pure virtual

Implemented in WP3AttributeGroup, WP3CondensedBackTabFunction, WP3CondensedIndentFunction, WP3CondensedLRIndentFunction, WP3CondensedTabFunction, WP3DefinitionGroup, WP3DisplayGroup, WP3DoubleByteScriptCharacterGroup, WP3EndOfLinePageGroup, WP3EOLFunction, WP3EOPFunction, WP3ExtendedCharacterGroup, WP3FontGroup, WP3FootnoteEndnoteGroup, WP3HardSpaceFunction, WP3HeaderFooterGroup, WP3HyphenFunction, WP3IndentGroup, WP3MiscellaneousGroup, WP3PageFormatGroup, WP3SoftHyphenFunction, WP3TabGroup, WP3TablesGroup, WP3UndoGroup, WP3UnsupportedFixedLengthGroup, WP3UnsupportedVariableLengthGroup, and WP3WindowGroup.

The documentation for this class was generated from the following files:

- WP3Part.h
- WP3Part.cpp